## EXPORT_SPEC int UpnpReadHttpGet

## ( IN void* handle,
IN OUT char* buf,
IN OUT unsigned int* size,
IN int timeout )

> UpnpReadHttpGet gets specified number of bytes from a file specified in a URL.

## Documentation

> UpnpReadHttpGet gets specified number of bytes from a file specified in a URL.

Parameters:
  handle - The token created by the call to UpnpOpenHttpGet.
  buf - The buffer to store the read item.
  size - The size of the buffer to be read.
  timeout - The time out value sent with the request during which a response is expected from the server, failing which, an error is reported back to the user.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either handle, buf or size is not a valid pointer.
  - `UPNP_E_BAD_RESPONSE`: A bad response was received from the remote server.
  - `UPNP_E_BAD_HTTPMSG`: Either the request or response was in the incorrect format.
  - `UPNP_E_CANCELED`: another thread called UpnpCancelHttpGet.
  Note: In case of return values, the status code parameter of the passed in handle value may provide additional information on the return value.

Alphabetic index

This page was generated with the help of DOC++.